MAIN_PAGE_NAME   = "Zelda 2 Script Viewer and Voicer/main.html"
TITLE_PAGE_NAME  = "Zelda 2 Script Viewer and Voicer/title.html"
-- ==============================================================================================
-- INTERNAL VARIABLES FOR MISC USE
-- ==============================================================================================

canMove = -1
lastCanMove = 0

-- ==============================================================================================
-- ==============================================================================================
-- This runs once before doLogic ever runs
function init()
	--loadHTML(TITLE_PAGE_NAME)
	resize(400, 700)
	loadHTML(MAIN_PAGE_NAME)
	callJSFunction("clearAllData")
end


-- ==============================================================================================
-- ==============================================================================================
-- This handles messages sent by the emulator, like if the player presses certain buttons or
-- other events happen within the emulator itself
function getMessage(str)
	if str == "resetgame" then
		init()
	elseif str == "loadstate" then
		loadHTML(MAIN_PAGE_NAME)
		callJSFunction("clearAllData")
	end
end


-- ==============================================================================================
-- ==============================================================================================
-- All main logic goes in here & gets called once per CPU cycle
function doLogic()
end


-- GAME IS ABOUT TO LOAD A SCRIPT LINE, SO LET'S DISPLAY THE JAPANESE EQUIVALENT
-- THERE'S A CHANCE SOME LINES GET MANUALLY HANDLED BY THE GAME BUT I DON'T KNOW THE DETAILS
function PC_B5FD()
	if getBank() == 0x03 then
		
		local textID = getY() >> 1
		
		-- The first half of the script and the second half are stored separately, so we'll check and compensate if necessary
		if getA() == 0x2 then
			textID = textID + 52
		end
		
		callJSFunction_Str("displayScriptDiv", textID)
		callJSFunction_Str("playLineAudio", textID)
	end
end

-- Text window is about to close, so let's clear the text area and stop the audio
function PC_B7F9()
	if getBank() == 0x03 then
		callJSFunction("clearAllData")
		callJSFunction("stopLineAudio")
	end
end

